TinyPhar: Helpers for packaged applications
===========================================




## Examples

### Helpful constants

A few constants are defined automatically when you include the library:

    if (IS_PHAR) {
        echo "I'm running from a phar located in ".PHAR_DIR."\n";
    }

These are:

 * `IS_PHAR` *(bool)* True if running from within a .phar
 * `PHAR_PATH` *(string)* Path and filename to .phar
 * `PHAR_DIR` *(string)* Path to directory containing .phar
 * `APP_DIR` *(string)* Always resolved to directory of called script/phar

In addition, metadata defined as an array will be defined with keys cast to
uppercase.

    metadata in phar:
    [ "update_uri" => "http://google.com" ]

The above would make this work:

    echo "Checking ".PHAR_META_UPDATE_URI." for updates...\n";

Remember that the `PHAR_` constants are only defined if `IS_PHAR` is true,
and additionally the `PHAR_META_` constants are only defined if present in
the file. Use `defined()` as neccessary!
